tt_message_id(library call)

NAME
tt_message_id — retrieve the identifier of a message

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_message_id(
Tt_message m);

DESCRIPTION

The tt_message_id function retrieves the identifier of the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_id function returns the character string value that uniquely identifies the message across all running ToolTalk sessions. The identifier of the message is set at its creation and never changes. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).